create procedure rrhh.sp_guardarTipoOtroIngreso
@numCodempresa int,
@numCodtipo int,
@txtTipoIngreso varchar(300),
@numPlanillaComplementaria int,
@numCotiza int,
@numRenta int,
@numUsuario int,
@dbRespuesta varchar(300) output
as
begin
	set nocount on;

	declare @dbCnt int;

	select @dbCnt = count(*) FROM [negocios_a].dbo.pla_tipo_ingreso where codtipoingreso = @numCodtipo and estado = 1;

	if @dbCnt > 0
		begin
			update [negocios_a].dbo.pla_tipo_ingreso set nomtipoingreso = @txtTipoIngreso,aplicadescuentoley = @numCotiza,aplicarenta = @numRenta,planillaComplementaria = @numPlanillaComplementaria where codtipoingreso = @numCodtipo;
		end
	else
		begin
			insert into [negocios_a].dbo.pla_tipo_ingreso(codempresa,codtipoingreso,nomtipoingreso,aplicadescuentoley,aplicarenta,planillaComplementaria) values(@numCodempresa,@numCodtipo,@txtTipoIngreso,@numCotiza,@numRenta,@numPlanillaComplementaria);
		end

	set @dbRespuesta = 'success';
end